# ApplicationInstallCreate

Application install create endpoints.

## GET /v3/applicationInstall/create

> Get a list of create application install processes

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstallCreate","description":"Application install create endpoints."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CreateApplicationInstall":{"type":"object","required":["id","fileId","fileName","fileSize","fileSHA256","status","statusText","mirrorState"],"properties":{"id":{"type":"integer","format":"integer","description":"Install ID","readOnly":true},"fileId":{"type":"integer","format":"integer","description":"ID of the file"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size in bytes of the file"},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash"},"status":{"type":"integer","format":"integer","description":"Status of this file<br />\n**1**: File has been seen on your FTP account<br />\n**2**: Your file has stopped - regarding the upload as finished<br />\n**3**: File details have been stored<br />\n**5**: File has been moved to our main file server for further processing<br />\n**6**: Re-packing your original archive<br />\n**7**: Re-packing is done<br />\n**10**: Creating an SHA-256 hash of the archive<br />\n**11**: Hashing done<br />\n**12**: Mirroring the archive to global file servers<br />\n**13**: Mirroring is done<br />\n**14**: ApplicationInstall has been activated<br />\n**125**: Cancelled 1<br />\n**126**: Cancelled 2<br />\n**127**: ApplicationInstall creation is done<br />\n**128**: A permanent error has occurred"},"statusText":{"type":"string","format":"","description":"Status in text of this file"},"mirrorState":{"type":"array","items":{"$ref":"#/components/schemas/MirrorState"},"description":"An array with the status of the mirroring to all locations process"}},"additionalProperties":false},"MirrorState":{"type":"object","required":["locationId","locationName","fileServerIds","transfers"],"properties":{"locationId":{"type":"integer","format":"integer","description":"ID of the location"},"locationName":{"type":"string","format":"","description":"Name of the location"},"fileServerIds":{"type":"array","items":{"type":"integer","format":"integer"},"description":"An array with the file server IDs that are used for this mirroring process"},"transfers":{"type":"array","items":{"$ref":"#/components/schemas/Transfer"},"description":"An array with the file transfer progress per file server"}},"additionalProperties":false},"Transfer":{"type":"object","required":["fileServerId","progress","errorCount","retries"],"properties":{"fileServerId":{"type":"integer","format":"integer","description":"ID of the file server"},"progress":{"type":"integer","format":"integer","description":"The transfer progress in percentage"},"errorCount":{"type":"integer","format":"integer","description":"The amount of errors that occurred during this process"},"retries":{"type":"integer","format":"integer","description":"The amount of retries in the process"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/create":{"get":{"deprecated":true,"tags":["ApplicationInstallCreate"],"summary":"Get a list of create application install processes","operationId":"getApplicationInstallCreates","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CreateApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/applicationInstall/create

> Create a new application installation process

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstallCreate","description":"Application install create endpoints."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"NewCreateApplicationInstall":{"type":"object","required":["applicationId","fileId","osGroupId","name","version","installHasExe"],"properties":{"applicationId":{"type":"string","format":"","description":"The application's ID this application install is coupled to"},"fileId":{"type":"integer","format":"integer","description":"ID of the assignableFile. Can be obtained from [`GET /applicationInstall/assignable`](#/ApplicationAssignableFile/get_applicationInstall_assignable)"},"osGroupId":{"type":"integer","format":"integer","description":"Operating system group ID (1 = windows, 2 = linux)"},"name":{"type":"string","format":"","description":"Application install name"},"version":{"type":"string","format":"","description":"Application install version"},"releaseNotes":{"type":"string","format":"","description":"Game install release notes","nullable":true},"installHasExe":{"type":"integer","format":"integer","description":"Does the archive contain the game instance executable?"}},"additionalProperties":false},"CreateApplicationInstall":{"type":"object","required":["id","fileId","fileName","fileSize","fileSHA256","status","statusText","mirrorState"],"properties":{"id":{"type":"integer","format":"integer","description":"Install ID","readOnly":true},"fileId":{"type":"integer","format":"integer","description":"ID of the file"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size in bytes of the file"},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash"},"status":{"type":"integer","format":"integer","description":"Status of this file<br />\n**1**: File has been seen on your FTP account<br />\n**2**: Your file has stopped - regarding the upload as finished<br />\n**3**: File details have been stored<br />\n**5**: File has been moved to our main file server for further processing<br />\n**6**: Re-packing your original archive<br />\n**7**: Re-packing is done<br />\n**10**: Creating an SHA-256 hash of the archive<br />\n**11**: Hashing done<br />\n**12**: Mirroring the archive to global file servers<br />\n**13**: Mirroring is done<br />\n**14**: ApplicationInstall has been activated<br />\n**125**: Cancelled 1<br />\n**126**: Cancelled 2<br />\n**127**: ApplicationInstall creation is done<br />\n**128**: A permanent error has occurred"},"statusText":{"type":"string","format":"","description":"Status in text of this file"},"mirrorState":{"type":"array","items":{"$ref":"#/components/schemas/MirrorState"},"description":"An array with the status of the mirroring to all locations process"}},"additionalProperties":false},"MirrorState":{"type":"object","required":["locationId","locationName","fileServerIds","transfers"],"properties":{"locationId":{"type":"integer","format":"integer","description":"ID of the location"},"locationName":{"type":"string","format":"","description":"Name of the location"},"fileServerIds":{"type":"array","items":{"type":"integer","format":"integer"},"description":"An array with the file server IDs that are used for this mirroring process"},"transfers":{"type":"array","items":{"$ref":"#/components/schemas/Transfer"},"description":"An array with the file transfer progress per file server"}},"additionalProperties":false},"Transfer":{"type":"object","required":["fileServerId","progress","errorCount","retries"],"properties":{"fileServerId":{"type":"integer","format":"integer","description":"ID of the file server"},"progress":{"type":"integer","format":"integer","description":"The transfer progress in percentage"},"errorCount":{"type":"integer","format":"integer","description":"The amount of errors that occurred during this process"},"retries":{"type":"integer","format":"integer","description":"The amount of retries in the process"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/create":{"post":{"deprecated":true,"tags":["ApplicationInstallCreate"],"summary":"Create a new application installation process","operationId":"createApplicationInstallCreate","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewCreateApplicationInstall"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CreateApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/applicationInstall/create/{fileId}

> Get a create application install process

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstallCreate","description":"Application install create endpoints."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"CreateApplicationInstall":{"type":"object","required":["id","fileId","fileName","fileSize","fileSHA256","status","statusText","mirrorState"],"properties":{"id":{"type":"integer","format":"integer","description":"Install ID","readOnly":true},"fileId":{"type":"integer","format":"integer","description":"ID of the file"},"fileName":{"type":"string","format":"","description":"Name of the file"},"fileSize":{"type":"integer","format":"integer","description":"Size in bytes of the file"},"fileSHA256":{"type":"string","format":"","description":"Archive file SHA-256 hash"},"status":{"type":"integer","format":"integer","description":"Status of this file<br />\n**1**: File has been seen on your FTP account<br />\n**2**: Your file has stopped - regarding the upload as finished<br />\n**3**: File details have been stored<br />\n**5**: File has been moved to our main file server for further processing<br />\n**6**: Re-packing your original archive<br />\n**7**: Re-packing is done<br />\n**10**: Creating an SHA-256 hash of the archive<br />\n**11**: Hashing done<br />\n**12**: Mirroring the archive to global file servers<br />\n**13**: Mirroring is done<br />\n**14**: ApplicationInstall has been activated<br />\n**125**: Cancelled 1<br />\n**126**: Cancelled 2<br />\n**127**: ApplicationInstall creation is done<br />\n**128**: A permanent error has occurred"},"statusText":{"type":"string","format":"","description":"Status in text of this file"},"mirrorState":{"type":"array","items":{"$ref":"#/components/schemas/MirrorState"},"description":"An array with the status of the mirroring to all locations process"}},"additionalProperties":false},"MirrorState":{"type":"object","required":["locationId","locationName","fileServerIds","transfers"],"properties":{"locationId":{"type":"integer","format":"integer","description":"ID of the location"},"locationName":{"type":"string","format":"","description":"Name of the location"},"fileServerIds":{"type":"array","items":{"type":"integer","format":"integer"},"description":"An array with the file server IDs that are used for this mirroring process"},"transfers":{"type":"array","items":{"$ref":"#/components/schemas/Transfer"},"description":"An array with the file transfer progress per file server"}},"additionalProperties":false},"Transfer":{"type":"object","required":["fileServerId","progress","errorCount","retries"],"properties":{"fileServerId":{"type":"integer","format":"integer","description":"ID of the file server"},"progress":{"type":"integer","format":"integer","description":"The transfer progress in percentage"},"errorCount":{"type":"integer","format":"integer","description":"The amount of errors that occurred during this process"},"retries":{"type":"integer","format":"integer","description":"The amount of retries in the process"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/create/{fileId}":{"get":{"deprecated":true,"tags":["ApplicationInstallCreate"],"summary":"Get a create application install process","operationId":"getApplicationInstallCreate","parameters":[{"name":"fileId","in":"path","description":"The Id of the file","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CreateApplicationInstall"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fileId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/applicationInstall/create/{fileId}

> Cancel a application installation process

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"ApplicationInstallCreate","description":"Application install create endpoints."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/applicationInstall/create/{fileId}":{"delete":{"deprecated":true,"tags":["ApplicationInstallCreate"],"summary":"Cancel a application installation process","operationId":"deleteApplicationInstallCreate","parameters":[{"name":"fileId","in":"path","description":"The Id of the file","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid fileId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/applicationinstallcreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
